@import '~@guildion/next/styles/component.module.scss';

.container {
  width: 100%;
  height: 100%;
  background: var(--background-subm1);
  overflow: hidden;
  &-inner {
    max-width: 1240px;
    width: calc(100% - 80px);
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    padding-top: 120px;
    padding-bottom: 120px;
    margin-left: auto;
    margin-right: auto;
    @include mq-down(fm) {
      width: calc(100% - 40px);
    }
  }
  &-title {
    text-align: left;
    color: var(--element-default);
    font-size: 100px;
    font-family: var(--default-font-family);
    font-weight: bold;
    line-height: 150px;
    & > strong {
      @include make-gradietion-text;
      display: block;
    }
    @include mq-down(xxl) {
      font-size: 80px;
      line-height: 120px;
    }
    @include mq-down(lg) {
      font-size: 60px;
      line-height: 100px;
    }
    @include mq-down(fm) {
      font-size: 44px;
      line-height: 60px;
    }
  }
  &-link {
    margin-top: 120px;
    display: block;
    margin-left: auto;
    text-align: right;
    background: linear-gradient(to right, #4facfe 0%, #00f2fe 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-size: 44px;
    font-family: var(--default-font-family);
    font-weight: bold;
    @include mq-down(lg) {
      font-size: 32px;
    }
    @include mq-down(fm) {
      margin-top: 64px;
      font-size: 32px;
      line-height: 54px;
      text-align: left;
    }
  }
}